Bug 151117 - Add enhancments to CruiseControl build system
Add enhancments to CruiseControl build system
Status: CLOSED NOTABUG
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Vlady Zlatkin
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2005-03-14 18:37 EST by Mike McCune
Modified: 2007-04-18 13:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 17:41:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-03-14 18:37:20 EST
1) Split out the RHN-Java project into 2 separate instances:

Sat
Hosted

This way when we checkin changes we will know if the build breaks in Sat and
Hosted and get much better coverage with our tests.

2) Have the cctarget precompile the JSPs.  This will catch JSP compile errors.
Comment 1 Jesus M. Rodriguez 2005-09-28 17:41:53 EDT
Closing.

Note You need to log in before you can comment on or make changes to this bug.